"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userBooksResultParser = exports.usersBooksResultParser = exports.userBooksParamsParser = exports.userBooksQueryParser = exports.usersBooksQueryParser = void 0;
const queryParams_1 = require("../../common/parsers/queryParams");
const zod_1 = require("zod");
const parsers_1 = require("../../user/parsers");
const parsers_2 = require("../../currencies/parsers");
const parsers_3 = require("../../parsers");
exports.usersBooksQueryParser = queryParams_1.queryOffsetLimitParser.merge(zod_1.z.object({
    userId: parsers_1.userIdParser.optional(),
    minOutstandingPayout: parsers_2.currencyAmountParser.optional(),
    hasPayoutMethod: parsers_3.booleanQueryParser,
}));
exports.userBooksQueryParser = queryParams_1.queryOffsetLimitParser.merge(zod_1.z.object({
// TODO filter per user
}));
exports.userBooksParamsParser = queryParams_1.queryOffsetLimitParser.merge(zod_1.z.object({
    userId: parsers_1.userIdParser,
}));
exports.usersBooksResultParser = zod_1.z.any().transform((o) => o);
exports.userBooksResultParser = zod_1.z.any().transform((o) => o);
