"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAX_HISTORICAL_DATE_MS = exports.FIRESTORE_API_GET_LIMIT = exports.ROUTE_IDS = void 0;
const MIXSPACE_CRUD_IDS = [
    'createMixspace',
    'updateMixspace',
    'fetchMixspaces',
    'fetchMixspace',
    'deleteMixspace',
];
const BLOG_CRUD_IDS = ['createBlog', 'updateBlog', 'fetchBlogs', 'fetchBlog', 'deleteBlog'];
const COLLECTIVE_CRUD_IDS = [
    'createCollective',
    'updateCollective',
    'fetchCollectives',
    'fetchCollective',
    'deleteCollective',
];
const PAYIN_METHOD_CRUD_IDS = ['upsertPayinMethod', 'fetchPayinMethods', 'deletePayinMethod'];
// const PAYOUT_METHOD_CRUD_IDS = ['upsertPayoutMethod', 'fetchPayoutMethods', 'deletePayoutMethod'] as const;
const PAYOUT_METHOD_CRUD_IDS = ['fetchPayoutMethods'];
const PAYOUT_METHID_SPECIAL_IDS = ['payoutMethodStripeAuthorize', 'payoutMethodStripeToken'];
const AUTH_USERS_CRUD_IDS = ['fetchAuthUsers', 'fetchAuthUser'];
const SUBSCRIPTION_CRUD_IDS = [
    'fetchSubscriptions',
    'createSubscription',
    'updateSubscription',
    'deleteSubscription',
];
const TIP_CRUD_IDS = ['fetchTips', 'createTip'];
const PAYOUT_CRUD_IDS = ['runPayout', 'retryPayout', 'payoutBatchStatus', 'listPayoutQueue'];
const BOOKS_REPORT_IDS = [
    'userBooksReport',
    'userBooksReportCsv',
    'userBooksDetailsReport',
    'userBooksDetailsReportCsv',
    'userBooksUsers',
];
exports.ROUTE_IDS = [
    'localSignup',
    'signout',
    'localSignin',
    'googleAuthInit',
    'resetPassword',
    ...BLOG_CRUD_IDS,
    ...COLLECTIVE_CRUD_IDS,
    ...AUTH_USERS_CRUD_IDS,
    ...MIXSPACE_CRUD_IDS,
    'payinRoute',
    ...PAYIN_METHOD_CRUD_IDS,
    ...PAYOUT_METHOD_CRUD_IDS,
    ...PAYOUT_METHID_SPECIAL_IDS,
    ...SUBSCRIPTION_CRUD_IDS,
    ...TIP_CRUD_IDS,
    'channelAutocomplete',
    ...PAYOUT_CRUD_IDS,
    'rerunImpossiblePaymentIntent',
    ...BOOKS_REPORT_IDS,
];
exports.FIRESTORE_API_GET_LIMIT = 1000;
// dupe with graph inner constant; checked for validity
exports.MAX_HISTORICAL_DATE_MS = 8640000000000000; // not max integer
