"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.payinMethodListQueryParser = exports.payinMethodDeleteParamsParser = exports.payinMethodUpsertParamsParser = exports.payinMethodListResultParser = exports.payinMethodUpsertResultParser = exports.payinMethodOriginTypeParser = exports.payinMethodOriginIdParser = void 0;
const zod_1 = require("zod");
const parsers_1 = require("../stripe/parsers");
const constants_1 = require("./constants");
const parsers_2 = require("../payinProvider/parsers");
const constants_2 = require("../origin/constants");
const parsers_3 = require("../paypal/parsers");
const parsers_4 = require("../paymentMethod/parsers");
exports.payinMethodOriginIdParser = parsers_1.stripePaymentMethodIdParser /*.or(paypal...)*/
    .refine((o) => {
    const r = o; // assert
    return r;
});
exports.payinMethodOriginTypeParser = zod_1.z.enum(constants_1.PAYIN_METHOD_ORIGIN_TYPES);
exports.payinMethodUpsertResultParser = parsers_2.payinProviderCustomerIdParser;
exports.payinMethodListResultParser = zod_1.z.array(zod_1.z.discriminatedUnion('originType', [
    zod_1.z.object({
        originType: zod_1.z.literal(constants_2.ORIGIN_TYPE_STRIPE),
        originId: parsers_1.stripePaymentMethodIdParser,
        originData: zod_1.z.any( /* stub TODO stripe payment method shape */),
    }),
    zod_1.z.object({
        originType: zod_1.z.literal(constants_2.ORIGIN_TYPE_PAYPAL),
        originId: parsers_3.paypalPaymentMethodIdParser,
    }),
]));
exports.payinMethodUpsertParamsParser = parsers_4.paymentMethodCompositeKeyParamsParser;
exports.payinMethodDeleteParamsParser = parsers_4.paymentMethodCompositeKeyParamsParser; // no offset supported (stripe works on cursors also)
exports.payinMethodListQueryParser = parsers_4.paymentMethodListLimitParser;
