import { z } from 'zod';
export declare const payoutMethodStripeAuthorizeResultParser: z.ZodObject<{
    stripeConnectUrl: z.ZodString;
}, "strip", z.ZodTypeAny, {
    stripeConnectUrl: string;
}, {
    stripeConnectUrl: string;
}>;
export declare const payoutMethodStripeTokenBodyParser: z.ZodObject<{
    state: z.ZodEffects<z.ZodString, import("../csrf/types").SessionStateStringBrand, string>;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    state: import("../csrf/types").SessionStateStringBrand;
}, {
    code: string;
    state: string;
}>;
export declare const payoutMethodUpsertParamsParser: z.ZodDiscriminatedUnion<"originType", z.Primitive, z.ZodObject<{
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>;
    originType: z.ZodLiteral<"stripe">;
}, "strip", z.ZodTypeAny, {
    originType: "stripe";
    originId: import("../stripe/types").StripePaymentMethodIdBrand;
}, {
    originType: "stripe";
    originId: string;
}> | z.ZodObject<{
    originId: z.ZodString;
    originType: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: string;
}, {
    originType: "paypal";
    originId: string;
}>>;
export declare const payoutMethodDeleteParamsParser: z.ZodDiscriminatedUnion<"originType", z.Primitive, z.ZodObject<{
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>;
    originType: z.ZodLiteral<"stripe">;
}, "strip", z.ZodTypeAny, {
    originType: "stripe";
    originId: import("../stripe/types").StripePaymentMethodIdBrand;
}, {
    originType: "stripe";
    originId: string;
}> | z.ZodObject<{
    originId: z.ZodString;
    originType: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: string;
}, {
    originType: "paypal";
    originId: string;
}>>;
export declare const payoutMethodListQueryParser: z.ZodObject<{
    limit: z.ZodDefault<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    limit: number;
}, {
    limit?: number | undefined;
}>;
export declare const payoutMethodOriginIdParser: z.ZodEffects<z.ZodString, import("../stripe/types").StripeConnectClientIdBrand, string>;
export declare const payoutMethodOriginTypeParser: z.ZodEnum<["stripe", "paypal"]>;
export declare const payoutMethodListResultParser: z.ZodArray<z.ZodIntersection<z.ZodDiscriminatedUnion<"originType", z.Primitive, z.ZodObject<{
    originType: z.ZodLiteral<"stripe">;
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripeConnectClientIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    originType: "stripe";
    originId: import("../stripe/types").StripeConnectClientIdBrand;
}, {
    originType: "stripe";
    originId: string;
}> | z.ZodObject<{
    originType: z.ZodLiteral<"paypal">;
    originId: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: "paypal";
}, {
    originType: "paypal";
    originId: "paypal";
}>>, z.ZodObject<{
    originType: z.ZodEnum<["stripe", "paypal"]>;
}, "strip", z.ZodTypeAny, {
    originType: "paypal" | "stripe";
}, {
    originType: "paypal" | "stripe";
}>>, "many">;
export declare const payoutMethodUpsertResultParser: z.ZodAny;
