import { z } from 'zod';
import type { MixspaceId } from './id.types';
import { mixspaceAdminsTraitParser, mixspaceCoreParser, mixspaceParser } from './parsers';

export type MixspaceOwnedTrait = z.infer<typeof mixspaceAdminsTraitParser>;

export interface MixspaceIdTrait {
  id: MixspaceId;
}

export interface MixspaceCore extends MixspaceCoreParsed, MixspaceOwnedTrait {}

export type MixspaceCoreParsed = z.infer<typeof mixspaceCoreParser>;
export type MixspaceParsed = z.infer<typeof mixspaceParser>;
export type MixspaceItemsTrait = Pick<MixspaceCore, 'items'>;

export type Mixspace = MixspaceParsed;
