import { Isomorphism } from '../utils/types';
import { ApiPayinDstComposite, ApiPayinSrcComposite, PayinDst, PayinSrc } from './types';
import { payinApiDstCompositeParser, payinApiSrcCompositeParser, SEPARATOR } from './parsers';

export const payinApiSrcIsomorphism: Isomorphism<ApiPayinSrcComposite, PayinSrc> = {
  to: (x) => `${x.type}${SEPARATOR}${x.id}` as PayinSrc,
  from: (x) => payinApiSrcCompositeParser.parse(x),
};
export const payinApiDstIsomorphism: Isomorphism<ApiPayinDstComposite, PayinDst> = {
  to: (x) => `${x.type}${SEPARATOR}${x.id}` as PayinDst,
  from: (x) => payinApiDstCompositeParser.parse(x),
};
