import { z } from 'zod';
import { routePacketQueryParser } from './parsers';
import { GraphEdgeUnit } from '../../graph/types';

export type PayinRouteQuery = z.infer<typeof routePacketQueryParser>;
export type PayinRouteResult = Array<{
  amt: number;
  packets: Array<{
    amt: number;
    payee: string; // TODO it's a node id but we don't borrow its types; probably should be some intermediate structure
    path: Array<{
      src: string; // TODO it's a node id but we don't borrow its types; probably should be some intermediate structure
      dst: string; // TODO it's a node id but we don't borrow its types; probably should be some intermediate structure
      edgeAmt: number;
      edgeUnit: GraphEdgeUnit;
      transferredAmt: number;
    }>;
  }>;
}>;
