import z from 'zod';
import { payoutBatchItemCompositeKeyIsomorphism } from './isomorphism';
import { PayoutBatchItemCompositeKeySerialized } from './types';
import { compositeKeyParsers, payoutBatchItemCompositeKeyParser } from './parsers.common';

export const payoutBatchItemCompositeKeySerializedParser = z
  .string()
  .min(
    Object.keys(compositeKeyParsers).length +
      (Object.keys(compositeKeyParsers).length - 1) /*at least 1 letter separator is assumed*/
  )
  .transform((s) => payoutBatchItemCompositeKeyIsomorphism.from(s as PayoutBatchItemCompositeKeySerialized))
  .superRefine((o, ctx) => {
    const r = payoutBatchItemCompositeKeyParser.safeParse(o);
    if (!r.success) r.error.issues.forEach(ctx.addIssue.bind(ctx));
  })
  .transform(payoutBatchItemCompositeKeyIsomorphism.to);
